Bug 557121 - (CVE-2010-0290) CVE-2010-0290 BIND upstream fix for CVE-2009-4022 is incomplete
CVE-2010-0290 BIND upstream fix for CVE-2009-4022 is incomplete
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=upstream,impact=moderate,repor...
: Security
Depends On: 555117 555119
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 09:05 EST by Josh Bressers
Modified: 2015-07-31 02:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 07:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-01-20 09:05:42 EST
The original fix for CVE-2009-4022 was found to be incomplete. BIND was incorrectly caching certain responses without performing proper DNSSEC validation. CNAME and DNAME records could be cached, without proper DNSSEC validation, when received from processing recursive client queries that requested DNSSEC records but indicated that checking should be disabled. A remote attacker could use this flaw to bypass the DNSSEC validation check and perform a cache poisoning attack if the target BIND server was receiving such client queries.
Comment 1 errata-xmlrpc 2010-01-20 10:16:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0062 https://rhn.redhat.com/errata/RHSA-2010-0062.html

Note You need to log in before you can comment on or make changes to this bug.